Index: apps/app_followme.c
===================================================================
--- apps/app_followme.c	(revision 95139)
+++ apps/app_followme.c	(working copy)
@@ -499,6 +499,12 @@
 	}
 	
 	totalwait = nm->timeout * 1000;
+
+#ifdef HAVE_EPOLL
+	AST_LIST_TRAVERSE(findme_user_list, tmpuser, entry) {
+		ast_poll_channel_add(caller, tmpuser->ochan);
+	}
+#endif
 	
 	while (!ctstatus) {
 		to = 1000;
@@ -602,6 +608,11 @@
 					break;
 			f = ast_read(winner);
 			if (f) {
+				/* Debugging code below, remove before committing */
+				if (f && (f->frametype != AST_FRAME_VOICE && f->frametype != AST_FRAME_NULL)){
+					ast_verb(3,"Frame type: %d, %d on winner: [%s]\n", f->frametype, f->subclass, winner->name);
+				}
+				/* End of debugging code */
 				if (f->frametype == AST_FRAME_CONTROL) {
 					switch(f->subclass) {
 					case AST_CONTROL_HANGUP:
@@ -712,6 +723,10 @@
 						return NULL;
 					} else {
 						tmpuser->state = -1;
+#ifdef HAVE_EPOLL
+						ast_poll_channel_del(caller, tmpuser->ochan);
+#endif
+						
 						ast_hangup(winner);  
 						livechannels--;
 						ast_debug(1, "live channels left %d\n", livechannels);
@@ -728,6 +743,14 @@
 	}
 	
 	/* --- WAIT FOR WINNER NUMBER END! -----------*/
+#ifdef HAVE_EPOLL
+	AST_LIST_TRAVERSE(findme_user_list, tmpuser, entry) {
+		if (tmpuser->ochan){
+			ast_poll_channel_del(caller, tmpuser->ochan);
+		}
+	}
+#endif
+	
 	return NULL;
 }
 
